package jrummikub.control.turn;

import jrummikub.model.GameSettings;
import jrummikub.util.Event;
import jrummikub.util.IEvent;
import jrummikub.view.IView;

/**
 * Abstract base class for TurnControls
 */
public abstract class AbstractTurnControl implements ITurnControl {

	protected Event endOfTurnEvent = new Event();
	protected Event redealEvent = new Event();
	protected TurnInfo turnInfo;
	protected GameSettings settings;
	protected IView view;

	@Override
	public IEvent getEndOfTurnEvent() {
		return endOfTurnEvent;
	}

	@Override
	public IEvent getRedealEvent() {
		return redealEvent;
	}

	@Override
	public void setup(TurnInfo info, GameSettings settings, IView view) {
		turnInfo = info;
		this.settings = settings;
		this.view = view;
	}

}